# Class HTML.Attribute

java.lang.Object
javax.swing.text.html.HTML.Attribute

Enclosing class:
  `HTML`

public static final class HTML.Attribute extends Object
Typesafe enumeration representing an HTML attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final HTML.Attribute`
`ACTION`
Attribute "action"
`static final HTML.Attribute`
`ALIGN`
Attribute "align"
`static final HTML.Attribute`
`ALINK`
Attribute "alink"
`static final HTML.Attribute`
`ALT`
Attribute "alt"
`static final HTML.Attribute`
`ARCHIVE`
Attribute "archive"
`static final HTML.Attribute`
`BACKGROUND`
Attribute "background"
`static final HTML.Attribute`
`BGCOLOR`
Attribute "bgcolor"
`static final HTML.Attribute`
`BORDER`
Attribute "border"
`static final HTML.Attribute`
`CELLPADDING`
Attribute "cellpadding"
`static final HTML.Attribute`
`CELLSPACING`
Attribute "cellspacing"
`static final HTML.Attribute`
`CHECKED`
Attribute "checked"
`static final HTML.Attribute`
`CLASS`
Attribute "class"
`static final HTML.Attribute`
`CLASSID`
Attribute "classid"
`static final HTML.Attribute`
`CLEAR`
Attribute "clear"
`static final HTML.Attribute`
`CODE`
Attribute "code"
`static final HTML.Attribute`
`CODEBASE`
Attribute "codebase"
`static final HTML.Attribute`
`CODETYPE`
Attribute "codetype"
`static final HTML.Attribute`
`COLOR`
Attribute "color"
`static final HTML.Attribute`
`COLS`
Attribute "cols"
`static final HTML.Attribute`
`COLSPAN`
Attribute "colspan"
`static final HTML.Attribute`
`COMMENT`
Attribute "comment"
`static final HTML.Attribute`
`COMPACT`
Attribute "compact"
`static final HTML.Attribute`
`CONTENT`
Attribute "content"
`static final HTML.Attribute`
`COORDS`
Attribute "coords"
`static final HTML.Attribute`
`DATA`
Attribute "data"
`static final HTML.Attribute`
`DECLARE`
Attribute "declare"
`static final HTML.Attribute`
`DIR`
Attribute "dir"
`static final HTML.Attribute`
`DUMMY`
Attribute "dummy"
`static final HTML.Attribute`
`ENCTYPE`
Attribute "enctype"
`static final HTML.Attribute`
`ENDTAG`
Attribute "endtag"
`static final HTML.Attribute`
`FACE`
Attribute "face"
`static final HTML.Attribute`
`FRAMEBORDER`
Attribute "frameborder"
`static final HTML.Attribute`
`HALIGN`
Attribute "halign"
`static final HTML.Attribute`
`HEIGHT`
Attribute "height"
`static final HTML.Attribute`
`HREF`
Attribute "href"
`static final HTML.Attribute`
`HSPACE`
Attribute "hspace"
`static final HTML.Attribute`
`HTTPEQUIV`
Attribute "http-equiv"
`static final HTML.Attribute`
`ID`
Attribute "id"
`static final HTML.Attribute`
`ISMAP`
Attribute "ismap"
`static final HTML.Attribute`
`LANG`
Attribute "lang"
`static final HTML.Attribute`
`LANGUAGE`
Attribute "language"
`static final HTML.Attribute`
`LINK`
Attribute "link"
`static final HTML.Attribute`
`LOWSRC`
Attribute "lowsrc"
`static final HTML.Attribute`
`MARGINHEIGHT`
Attribute "marginheight"
`static final HTML.Attribute`
`MARGINWIDTH`
Attribute "marginwidth"
`static final HTML.Attribute`
`MAXLENGTH`
Attribute "maxlength"
`static final HTML.Attribute`
`METHOD`
Attribute "method"
`static final HTML.Attribute`
`MULTIPLE`
Attribute "multiple"
`static final HTML.Attribute`
`N`
Attribute "n"
`static final HTML.Attribute`
`NAME`
Attribute "name"
`static final HTML.Attribute`
`NOHREF`
Attribute "nohref"
`static final HTML.Attribute`
`NORESIZE`
Attribute "noresize"
`static final HTML.Attribute`
`NOSHADE`
Attribute "noshade"
`static final HTML.Attribute`
`NOWRAP`
Attribute "nowrap"
`static final HTML.Attribute`
`PROMPT`
Attribute "prompt"
`static final HTML.Attribute`
`REL`
Attribute "rel"
`static final HTML.Attribute`
`REV`
Attribute "rev"
`static final HTML.Attribute`
`ROWS`
Attribute "rows"
`static final HTML.Attribute`
`ROWSPAN`
Attribute "rowspan"
`static final HTML.Attribute`
`SCROLLING`
Attribute "scrolling"
`static final HTML.Attribute`
`SELECTED`
Attribute "selected"
`static final HTML.Attribute`
`SHAPE`
Attribute "shape"
`static final HTML.Attribute`
`SHAPES`
Attribute "shapes"
`static final HTML.Attribute`
`SIZE`
Attribute "size"
`static final HTML.Attribute`
`SRC`
Attribute "src"
`static final HTML.Attribute`
`STANDBY`
Attribute "standby"
`static final HTML.Attribute`
`START`
Attribute "start"
`static final HTML.Attribute`
`STYLE`
Attribute "style"
`static final HTML.Attribute`
`TARGET`
Attribute "target"
`static final HTML.Attribute`
`TEXT`
Attribute "text"
`static final HTML.Attribute`
`TITLE`
Attribute "title"
`static final HTML.Attribute`
`TYPE`
Attribute "type"
`static final HTML.Attribute`
`USEMAP`
Attribute "usemap"
`static final HTML.Attribute`
`VALIGN`
Attribute "valign"
`static final HTML.Attribute`
`VALUE`
Attribute "value"
`static final HTML.Attribute`
`VALUETYPE`
Attribute "valuetype"
`static final HTML.Attribute`
`VERSION`
Attribute "version"
`static final HTML.Attribute`
`VLINK`
Attribute "vlink"
`static final HTML.Attribute`
`VSPACE`
Attribute "vspace"
`static final HTML.Attribute`
`WIDTH`
Attribute "width"

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns the string representation of this attribute.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SIZE

public static final HTML.Attribute SIZE
Attribute "size"

### COLOR

public static final HTML.Attribute COLOR
Attribute "color"

### CLEAR

public static final HTML.Attribute CLEAR
Attribute "clear"

### BACKGROUND

public static final HTML.Attribute BACKGROUND
Attribute "background"

### BGCOLOR

public static final HTML.Attribute BGCOLOR
Attribute "bgcolor"

### TEXT

public static final HTML.Attribute TEXT
Attribute "text"

### LINK

public static final HTML.Attribute LINK
Attribute "link"

### VLINK

public static final HTML.Attribute VLINK
Attribute "vlink"

### ALINK

public static final HTML.Attribute ALINK
Attribute "alink"

### WIDTH

public static final HTML.Attribute WIDTH
Attribute "width"

### HEIGHT

public static final HTML.Attribute HEIGHT
Attribute "height"

### ALIGN

public static final HTML.Attribute ALIGN
Attribute "align"

### NAME

public static final HTML.Attribute NAME
Attribute "name"

### HREF

public static final HTML.Attribute HREF
Attribute "href"

### REL

public static final HTML.Attribute REL
Attribute "rel"

### REV

public static final HTML.Attribute REV
Attribute "rev"

### TITLE

public static final HTML.Attribute TITLE
Attribute "title"

### TARGET

public static final HTML.Attribute TARGET
Attribute "target"

### SHAPE

public static final HTML.Attribute SHAPE
Attribute "shape"

### COORDS

public static final HTML.Attribute COORDS
Attribute "coords"

### ISMAP

public static final HTML.Attribute ISMAP
Attribute "ismap"

### NOHREF

public static final HTML.Attribute NOHREF
Attribute "nohref"

### ALT

public static final HTML.Attribute ALT
Attribute "alt"

### ID

public static final HTML.Attribute ID
Attribute "id"

### SRC

public static final HTML.Attribute SRC
Attribute "src"

### HSPACE

public static final HTML.Attribute HSPACE
Attribute "hspace"

### VSPACE

public static final HTML.Attribute VSPACE
Attribute "vspace"

### USEMAP

public static final HTML.Attribute USEMAP
Attribute "usemap"

### LOWSRC

public static final HTML.Attribute LOWSRC
Attribute "lowsrc"

### CODEBASE

public static final HTML.Attribute CODEBASE
Attribute "codebase"

### CODE

public static final HTML.Attribute CODE
Attribute "code"

### ARCHIVE

public static final HTML.Attribute ARCHIVE
Attribute "archive"

### VALUE

public static final HTML.Attribute VALUE
Attribute "value"

### VALUETYPE

public static final HTML.Attribute VALUETYPE
Attribute "valuetype"

### TYPE

public static final HTML.Attribute TYPE
Attribute "type"

### CLASS

public static final HTML.Attribute CLASS
Attribute "class"

### STYLE

public static final HTML.Attribute STYLE
Attribute "style"

### LANG

public static final HTML.Attribute LANG
Attribute "lang"

### FACE

public static final HTML.Attribute FACE
Attribute "face"

### DIR

public static final HTML.Attribute DIR
Attribute "dir"

### DECLARE

public static final HTML.Attribute DECLARE
Attribute "declare"

### CLASSID

public static final HTML.Attribute CLASSID
Attribute "classid"

### DATA

public static final HTML.Attribute DATA
Attribute "data"

### CODETYPE

public static final HTML.Attribute CODETYPE
Attribute "codetype"

### STANDBY

public static final HTML.Attribute STANDBY
Attribute "standby"

### BORDER

public static final HTML.Attribute BORDER
Attribute "border"

### SHAPES

public static final HTML.Attribute SHAPES
Attribute "shapes"

### NOSHADE

public static final HTML.Attribute NOSHADE
Attribute "noshade"

### COMPACT

public static final HTML.Attribute COMPACT
Attribute "compact"

### START

public static final HTML.Attribute START
Attribute "start"

### ACTION

public static final HTML.Attribute ACTION
Attribute "action"

### METHOD

public static final HTML.Attribute METHOD
Attribute "method"

### ENCTYPE

public static final HTML.Attribute ENCTYPE
Attribute "enctype"

### CHECKED

public static final HTML.Attribute CHECKED
Attribute "checked"

### MAXLENGTH

public static final HTML.Attribute MAXLENGTH
Attribute "maxlength"

### MULTIPLE

public static final HTML.Attribute MULTIPLE
Attribute "multiple"

### SELECTED

public static final HTML.Attribute SELECTED
Attribute "selected"

### ROWS

public static final HTML.Attribute ROWS
Attribute "rows"

### COLS

public static final HTML.Attribute COLS
Attribute "cols"

### DUMMY

public static final HTML.Attribute DUMMY
Attribute "dummy"

### CELLSPACING

public static final HTML.Attribute CELLSPACING
Attribute "cellspacing"

### CELLPADDING

public static final HTML.Attribute CELLPADDING
Attribute "cellpadding"

### VALIGN

public static final HTML.Attribute VALIGN
Attribute "valign"

### HALIGN

public static final HTML.Attribute HALIGN
Attribute "halign"

### NOWRAP

public static final HTML.Attribute NOWRAP
Attribute "nowrap"

### ROWSPAN

public static final HTML.Attribute ROWSPAN
Attribute "rowspan"

### COLSPAN

public static final HTML.Attribute COLSPAN
Attribute "colspan"

### PROMPT

public static final HTML.Attribute PROMPT
Attribute "prompt"

### HTTPEQUIV

public static final HTML.Attribute HTTPEQUIV
Attribute "http-equiv"

### CONTENT

public static final HTML.Attribute CONTENT
Attribute "content"

### LANGUAGE

public static final HTML.Attribute LANGUAGE
Attribute "language"

### VERSION

public static final HTML.Attribute VERSION
Attribute "version"

### N

public static final HTML.Attribute N
Attribute "n"

### FRAMEBORDER

public static final HTML.Attribute FRAMEBORDER
Attribute "frameborder"

### MARGINWIDTH

public static final HTML.Attribute MARGINWIDTH
Attribute "marginwidth"

### MARGINHEIGHT

public static final HTML.Attribute MARGINHEIGHT
Attribute "marginheight"

### SCROLLING

public static final HTML.Attribute SCROLLING
Attribute "scrolling"

### NORESIZE

public static final HTML.Attribute NORESIZE
Attribute "noresize"

### ENDTAG

public static final HTML.Attribute ENDTAG
Attribute "endtag"

### COMMENT

public static final HTML.Attribute COMMENT
Attribute "comment"

## Method Details

### toString

public String toString()
Returns the string representation of this attribute.

Overrides:
  `toString` in class `Object`
Returns:
  the string representation of this attribute